org.apache.kylin.jdbc

## Class KylinMetaImpl.AbstractNode

- java.lang.Object
- - org.apache.kylin.jdbc.KylinMetaImpl.AbstractNode

Direct Known Subclasses:
  KylinMetaImpl.MetaCatalog, KylinMetaImpl.MetaProject, KylinMetaImpl.MetaSchema, KylinMetaImpl.MetaTable

Enclosing class:
  KylinMetaImpl

    public abstract static class KylinMetaImpl.AbstractNode
    extends Object

Abstract of the tree-like structure

Author:
  xduo

### Constructor Summary

Constructors
Constructor and Description
`KylinMetaImpl.AbstractNode()`

### Method Summary

Methods
`List<? extends org.apache.kylin.jdbc.KylinMetaImpl.Node>` `getChildren()` Get direct children of the node.
`String` `getName()` Get the node name
`List<? extends org.apache.kylin.jdbc.KylinMetaImpl.Node>` `searchByPatterns(net.hydromatic.avatica.Meta.Pat... patterns)` Search the subtree of the node with patterns.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KylinMetaImpl.AbstractNode

    public KylinMetaImpl.AbstractNode()

### Method Detail

#### searchByPatterns

    public List<? extends org.apache.kylin.jdbc.KylinMetaImpl.Node> searchByPatterns(net.hydromatic.avatica.Meta.Pat... patterns)

Search the subtree of the node with patterns. One pattern, one level.

Returns:

#### getName

    public String getName()

Get the node name

Returns:

#### getChildren

    public List<? extends org.apache.kylin.jdbc.KylinMetaImpl.Node> getChildren()

Get direct children of the node.

Returns: